#!/bin/sh

tce=$(cat /etc/sysconfig/backup_device)
lang=$(cat /mnt/$tce/language/default)

[ "$lang" == "" ] && lang=ru

source /mnt/$tce/language/lang_$lang

version=$(cat /opt/version)
cat <<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta content="yes" name="apple-mobile-web-app-capable" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<meta content="minimum-scale=1.0, width=device-width, maximum-scale=0.6667, user-scalable=no" name="viewport" />
<link href="css/style.css" rel="stylesheet" media="screen" type="text/css" />
<script src="js/functions.js" type="text/javascript"></script>
<title>$tab3</title>
</head>

<body>

<div id="topbar">
	<div id="leftnav">
		<a href="index.yy"><img alt="home" src="images/home.png" /></a></div>
	<div id="title">
		TinySqueeze</div>
</div>
<div id="tributton">
	<div class="links">
		<a href="index.yy">$tab1</a><a href="changelog.yy">$tab2</a><a id="pressed">$tab3</a></div>
</div>
<div id="content" style="max-width:600px;margin:10 auto;">
	<ul class="pageitem">
	    <li class="textbox"><b>$tab3 TinySqueeze</b></li>
	
	    <li class="textbox"><span class="header">$tab3_header1</span><p>
		TinySqueeze $version</p>
		<span class="header">$tab3_header2</span><p>
		$tab3_desc</p>
		<span class="header">$tab3_header3</span><p>
		$tab3_credits
		</p><br/>
	</ul>
</div>
EOF
echo "</body>"
echo "</html>"
