#!/bin/sh

tce=$(cat /etc/sysconfig/backup_device)
lang=$(cat /mnt/$tce/language/default)
[ "$lang" == "" ] && lang=ru
source /opt/var.sh
source /mnt/$tce/language/lang_$lang

cat <<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta content="yes" name="apple-mobile-web-app-capable" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<meta content="minimum-scale=1.0, width=device-width, maximum-scale=0.6667, user-scalable=no" name="viewport" />
<link href="css/style.css" rel="stylesheet" media="screen" type="text/css" />
<script src="js/functions.js" type="text/javascript"></script>
<title>TinySqueeze - $mnu6_desc</title>
</head>

<body>

<div id="topbar">
	<div id="leftnav">
		<a href="index.yy"><img src="images/home.png" /></a></div>
	<div id="title">$mnu6_desc</div>
</div>

<div id="content" style="max-width:500px;margin:auto;">
	<ul class="pageitem">
EOF

if [ $sshserv == yes ]; then
    scheck=checked
else
    scheck=""
fi

if [ $samba == yes ]; then
    sacheck=checked
else
    sacheck=""
fi

if [ $checkupdate == yes ]; then
    updcheck=checked
else
    updcheck=""
fi

if [ $playboot == yes ]; then
    pbcheck=checked
else
    pbcheck=""
fi

cat <<EOF
		<form name="ssh" action="http://${HTTP_HOST}/cgi-bin/submit_system.yy" target="myIFR" method="GET">
		<li class="textbox"><p>$mnu6_s1</p></li>
		<li class="checkbox"><span class="name">SSH </span>
		<input name="sshsrv" type="checkbox" $scheck /> </li>
		<li class="textbox"><p>$mnu6_s2</p></li>
		<li class="checkbox"><span class="name">SAMBA </span>
		<input name="samba" type="checkbox" $sacheck /> </li>
		<li class="textbox"><p>$mnu6_s4</p></li>
		<li class="button">
		<input name="ssh_save" type="submit" value="$mnu_apply" /></li>
		</form>

	</ul>

</div>
<iframe name="myIFR" style="display: none"></iframe>
EOF
echo "</body>"
echo "</html>"
