#!/bin/sh
mountlog=/home/tc/log/mounttime.log

rebuildfstab
sleep 3
for i in $(cat /etc/fstab | grep $1 | cut -c 6-9)
do
#    mkdir /home/tc/music/$i
    echo $(date) " Request to mount $i" >> $mountlog
    echo $(date) " Cat returned $i" >> $mountlog
    [ -z $i] && continue
    echo $(date) " Mounting $i" >> $mountlog
    grep -q $i /etc/mtab
    if [ 0 -ne $? ]; then
        mount /dev/$i  > /home/tc/log/mount.log 2>&1 
        log=$(cat /home/tc/log/mount.log)
        if [ -z "$log" ]; then
    		echo "fu"
    	else
    		sleep 8
    		/sbin/mount.ntfs-3g /dev/$i /mnt/$i
    	fi
    fi
    sleep 2
    for j in USB1 USB2 USB3 USB4 USB5 USB6 USB7 USB8 USB9 USB10;do
	if ! grep $j /tmp/storages ; then
	    ln -s /mnt/$i /home/tc/music/$j
	    break
	fi
    done
    echo "$i $j" >> /tmp/storages
    blk=$(echo $i | sed 's/.$//')
    echo deadline > /sys/block/$blk/queue/scheduler

done
echo $(date) "Done" >> $mountlog