#!/bin/sh
cgi_getvars()
{
    [ $# -lt 2 ] && return
    local q p k v s
# get query
    case $1 in
    	GET)
	        [ ! -z "${QUERY_STRING}" ] && q="${QUERY_STRING}&"
	        echo "${QUERY_STRING}" 
    	    ;;
    esac
    shift
    s=" $* "
    fulls=
    # parse the query data
    while [ ! -z "$q" ]; do
    	p="${q%%&*}"  # get first part of query string
        k="${p%%=*}"  # get the key (variable name) from it
    	v="${p#*=}"   # get the value from it
        q="${q#$p&*}" # strip first part from query string
    	if [ $v != "-" ]; then
        [ "$1" = "ALL" -o "${s/ $k /}" != "$s" ] && \
	    k=${k/irq/}
	    if [ $k -eq $k 2>/dev/null ]; then
		fulls="$k:$v "${fulls}
		#set irq
	    fi
	fi
    done
#    echo "$fulls">1.txt
    sed -e "s/^irqprio=.*/irqprio=\"$fulls\"/" /opt/var.sh > /tmp/temp.$$
    sudo /bin/mv -f /tmp/temp.$$ /opt/var.sh
    sudo /opt/irqprio.sh
    return
}

#echo "${QUERY_STRING}">123.txt
# register all GET variables
cgi_getvars GET ALL

#if [ -n "radios" ]; then

#fi