#!/bin/sh
################
cgi_getvars()
{
    [ $# -lt 2 ] && return
    local q p k v s
# get query
    case $1 in
    	GET)
	        [ ! -z "${QUERY_STRING}" ] && q="${QUERY_STRING}&"
	        echo "${QUERY_STRING}" 
    	    ;;
    esac
    shift
    s=" $* "
    # parse the query data
    while [ ! -z "$q" ]; do
    	p="${q%%&*}"  # get first part of query string
        k="${p%%=*}"  # get the key (variable name) from it
    	v="${p#*=}"   # get the value from it
        q="${q#$p&*}" # strip first part from query string
    	
        [ "$1" = "ALL" -o "${s/ $k /}" != "$s" ] && \
	    eval "$k=$v"
    done
    return
}

varfile=/opt/var.sh
v_read(){
    echo $(grep "^$1=" $varfile | sed -e "s|^$1=||")
}
v_write(){
    sed -e "s/^$1=.*/$1=$2/" $varfile >/tmp/temp.$$ 
    sudo /bin/mv -f /tmp/temp.$$ $varfile
}

#echo "${QUERY_STRING}">123.txt
# register all GET variables
cgi_getvars GET ALL

if [ -n "$getupdate" ]; then
    sudo /home/tc/checkupdate.sh
fi

if [ -n "$runupdate" ]; then
    sudo /home/tc/runupdate.sh
fi
